2019-03-26 21:16 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000525NetSurf[All Projects] Generalpublic2016-02-16 14:34
ReporterChris Young 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4 
Summary0000525: Mouse events not being passed to embedded objects
DescriptionMouse track and button events are not being passed down to objects embedded with the <object> tag.

Eg. http://joliclic.free.fr/html/object-tag/en/object-text.html#html

The embedded HTML document displays correctly, but it is not possible to select any text.

As an aside, the plain text example further down the page shows the containing box, but not the text itself.
Additional InformationImported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3312278 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem pagehttp://joliclic.free.fr/html/object-tag/en/object-text.html#html
Attached Files

-Relationships
+Relationships

-Notes
Dave Higton

~0001012

Dave Higton (developer)

Tested in RISC OS build CI#3043. Appears fixed. Michael Drake recalls fixing the bug.
Vincent Sanders

~0001265

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-19 10:05 Vincent Sanders URL of problem page => http://joliclic.free.fr/html/object-tag/en/object-text.html#html
2013-12-19 10:05 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-19 10:05 Vincent Sanders Status assigned => acknowledged
2013-12-19 10:05 Vincent Sanders Resolution no change required => open
2013-12-19 10:05 Vincent Sanders Description Updated View Revisions
2013-12-19 10:05 Vincent Sanders Additional Information Updated View Revisions
2015-11-01 11:35 Dave Higton Note Added: 0001012
2015-11-01 11:35 Dave Higton Assigned To => Michael Drake
2015-11-01 11:35 Dave Higton Reproducibility have not tried => always
2015-11-01 11:35 Dave Higton Status acknowledged => resolved
2015-11-01 11:35 Dave Higton Resolution open => fixed
2015-11-01 11:35 Dave Higton Fixed in Version => 3.4
2016-02-16 14:34 Vincent Sanders Note Added: 0001265
2016-02-16 14:34 Vincent Sanders Status resolved => closed
+Issue History